package com.lukouguoji.gjj.holder

import android.view.View
import com.lukouguoji.gjj.databinding.ItemGjjGoodsBinding
import com.lukouguoji.gjj.databinding.ItemGjjManifestBinding
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GjjGoodsBean
import com.lukouguoji.module_base.bean.GjjManifestBean

class GjjGoodsListViewHolder(view: View) :
    BaseViewHolder<GjjGoodsBean, ItemGjjGoodsBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        getItemBean(item)?.let {
            binding.bean = it
        }

        notifyItemClick(position, binding.tvDetails)
    }
}